import 'package:flutter/material.dart';

class ColorPalette {
  ColorPalette._();

  static const Color neutral10 = Color(0xFFFFFFFF);
  static const Color neutral20 = Color(0xFFF5F5F5);
  static const Color neutral30 = Color(0xFFEDEDED);
  static const Color neutral40 = Color(0xFFE0E0E0);
  static const Color neutral50 = Color(0xFFC2C2C2);
  static const Color neutral60 = Color(0xFF9E9E9E);
  static const Color neutral70 = Color(0xFF757575);
  static const Color neutral80 = Color(0xFF616161);
  static const Color neutral90 = Color(0xFF404040);
  static const Color neutral100 = Color(0xFF0A0A0A);
  static const Color white = Color(0xFFFFFFFF);
  static const Color secondary = Color.fromARGB(255, 254, 194, 15);
  static const Color underGreen = Color(0xFF005539);
  static const Color appBarItemColor = Color(0xFF1F1D20);
  static const Color primary = Color(0xff2563EB);
  static const Color secondaryGold = Color(0xFFC49B40);
  static const Color crem = Color(0xFFFEF5DF);
  static const Color crem2 = Color(0xFFF5EBD4);
  static const Color greyInactive = Color(0xFFAEAEAE);
  // static const Color greyDarker = Color(0xFF252525);
  static const Color greys = Color(0xFF4E4E4E);
  static const Color greySecond = Color(0xFF565656);
  // static const Color greyBase = Color(0xFF898989);
  // static const Color greyLight = Color(0xFFD0D0D0);
  static const Color greyWhite = Color(0xFFF4F4F4);
  static const Color pink = Color(0xFFFFCCDF);
  static const Color blueLight = Color(0xFFDBEBFF);
  static const Color tussock = Color(0xFF4F3F1D);
  // static const Color tussockGold = Color(0xFFF39F1E);
  static const Color linearGradient1 = Color(0xFFCBA143);
  static const Color linearGradient2 = Color(0xFFF8D5A1);
  static const Color yellowLight = Color(0xFFFFE6AD);
  static const Color orange = Color(0xFFF2994A);
  static const Color red = Color(0xFFFF000A);
  static const Color fontGreyProfile = Color(0xFF444444);
  static const Color blackFont = Color(0xFF1F1D20);
  static const Color colorBgMultiBahasaInProfile =
      Color.fromARGB(30, 188, 188, 188);
  static const Color colorSwitchButtonActive = Color(0xFF3EB290);
  static const Color greyFont = Color(0xFF515050);
  static const Color blueGrey = Color(0xFFFAFCFF);
  static const Color grey = Color(0xFFE8EEF7);
  static const Color greyLights = Color(0xFFF7F7F8);
  static const Color disable = Color(0xFF828282);

  static const Color greyDarker = Color(0xFF252525);
  static Color greyDark = const Color(0xFF4E4E4E).withOpacity(0.7);
  static const Color greyBase = Color(0xFF898989);
  static const Color greyLight = Color(0xFF646E82);
  static const Color greyLighter = Color(0xFFFFFFFF);
  static const Color neroLight = Color(0xFFF2F2F2);
  static const Color neroLightest = Color(0xFFFAFAFA);
  static const Color purple = Color(0xFFDDCEFF);

  static const Color positive = Color(0xFFE4F5ED);
  static const Color negative = Color(0xFFFFCCDF);
  static const Color neutral = Color(0xFFDBEBFF);
  static const Color warning = Color(0xFFFFF5BF);
  static const Color bgGold = Color(0xFFF2C94C);
  static const Color tussockGold = Color(0xFFF39F1E);
  static const Color greyBorder = Color(0xFFE4E7EE);
  static const Color forrestLight = Color(0xFF00BCAC);
  static const Color forrestBase = Color(0xFF006D64);
  static const Color greyDisable = Color(0xFFDBDDE3);
  static const Color greyBorderNeutrals = Color(0xFFD0D7E6);
  static const Color greyBackground = Color(0xFFF8F9FB);
  static const Color chathams = Color(0xFF081731);
  static const Color chathamsBlue = Color(0xFF285BB9);
  static const Color background = Color(0xFFDADADA);
  static const Color backgroundBlueLight = Color(0xFFEBF3FD);
  static const Color slate500 = Color(0xFF64748B);
  static const Color blue50 = Color(0xFFEFF6FF);
  static const Color blue200 = Color(0xFFBFDBFE);
  static const Color slate50 = Color(0xFFF8FAFC);
  static const Color slate200 = Color(0xFFE2E8F0);
  static const Color slate300 = Color(0xFFCBD5E1);
  static const Color slate400 = Color(0xFF94A3B8);
  static const Color slate800 = Color(0xFF1E293B);
  static const Color purple100 = Color(0xFFEDE9FE);
  static const Color purple500 = Color(0xFF8B5CF6);
  static const Color orange50 = Color(0xFFFFF7ED);
  static const Color orange100 = Color(0xFFFFEDD5);
  static const Color orange500 = Color(0xFFF97316);
  static const Color cyan100 = Color(0xFFCFFAFE);
  static const Color cyan500 = Color(0xFF06B6D4);
  static const Color green100 = Color(0xFFDCFCE7);
  static const Color green400 = Color(0xFF4ADE80);
  static const Color green500 = Color(0xFF16A34A);

  static const Map<String, Color> investTypeColor = {
    'Money Market': purple500,
    'Shares': orange500,
    'Sharia': green500,
    'Bonds': cyan500
  };

  static const Map<String, Color> investTypeBgColor = {
    'Money Market': purple100,
    'Shares': orange100,
    'Sharia': green100,
    'Bonds': cyan100
  };
}
